Bulletin d'alerte Debian

DSA-1851-1 gst-plugins-bad0.10 -- Dépassement d'entier

Date du rapport :
6 août 2009
Paquets concernés :
gst-plugins-bad0.10
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 527075.
Dans le dictionnaire CVE du Mitre : CVE-2009-1438.
Plus de précisions :

gst-plugins-bad0.10, l'ensemble de greffons bad GStreamer, est prédisposé à un dépassement d'entier lors du traitement d'un fichier MED ayant un commentaire ou un nom de chanson contrefait.

Pour la distribution oldstable (Etch), ce problème a été corrigé dans la version 0.10.3-3.1+etch3.

Pour la distribution stable (Lenny), ce problème a été corrigé dans la version 0.10.7-2+lenny2.

Pour les distributions testing (Squeeze) et unstable (Sid), gst-plugins-bad0.10 est lié à libmodplug.

Nous vous recommandons de mettre à jour vos paquets gst-plugins-bad0.10.

Corrigé dans :

Debian GNU/Linux 4.0 (etch)

Source :
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gst-plugins-bad0.10_0.10.3.orig.tar.gz
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gst-plugins-bad0.10_0.10.3-3.1+etch3.diff.gz
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gst-plugins-bad0.10_0.10.3-3.1+etch3.dsc
Alpha:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.3-3.1+etch3_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.3-3.1+etch3_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.3-3.1+etch3_arm.deb
HP Precision:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.3-3.1+etch3_hppa.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.3-3.1+etch3_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.3-3.1+etch3_ia64.deb
Big-endian MIPS:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.3-3.1+etch3_mips.deb
Little-endian MIPS:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.3-3.1+etch3_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.3-3.1+etch3_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.3-3.1+etch3_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.3-3.1+etch3_sparc.deb

Debian GNU/Linux 5.0 (lenny)

Source :
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gst-plugins-bad0.10_0.10.7-2+lenny2.dsc
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gst-plugins-bad0.10_0.10.7-2+lenny2.diff.gz
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gst-plugins-bad0.10_0.10.7.orig.tar.gz
Composant indépendant de l'architecture :
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad-doc_0.10.7-2+lenny2_all.deb
Alpha:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad-dbg_0.10.7-2+lenny2_alpha.deb
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.7-2+lenny2_alpha.deb
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-sdl_0.10.7-2+lenny2_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.7-2+lenny2_amd64.deb
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad-dbg_0.10.7-2+lenny2_amd64.deb
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-sdl_0.10.7-2+lenny2_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad-dbg_0.10.7-2+lenny2_arm.deb
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.7-2+lenny2_arm.deb
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-sdl_0.10.7-2+lenny2_arm.deb
ARM EABI:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.7-2+lenny2_armel.deb
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad-dbg_0.10.7-2+lenny2_armel.deb
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-sdl_0.10.7-2+lenny2_armel.deb
HP Precision:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.7-2+lenny2_hppa.deb
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad-dbg_0.10.7-2+lenny2_hppa.deb
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-sdl_0.10.7-2+lenny2_hppa.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-sdl_0.10.7-2+lenny2_i386.deb
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.7-2+lenny2_i386.deb
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad-dbg_0.10.7-2+lenny2_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-sdl_0.10.7-2+lenny2_ia64.deb
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad-dbg_0.10.7-2+lenny2_ia64.deb
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.7-2+lenny2_ia64.deb
Big-endian MIPS:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad-dbg_0.10.7-2+lenny2_mips.deb
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.7-2+lenny2_mips.deb
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-sdl_0.10.7-2+lenny2_mips.deb
Little-endian MIPS:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.7-2+lenny2_mipsel.deb
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-sdl_0.10.7-2+lenny2_mipsel.deb
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad-dbg_0.10.7-2+lenny2_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.7-2+lenny2_powerpc.deb
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-sdl_0.10.7-2+lenny2_powerpc.deb
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad-dbg_0.10.7-2+lenny2_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad-dbg_0.10.7-2+lenny2_s390.deb
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-sdl_0.10.7-2+lenny2_s390.deb
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.7-2+lenny2_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-sdl_0.10.7-2+lenny2_sparc.deb
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad_0.10.7-2+lenny2_sparc.deb
http://security.debian.org/pool/updates/main/g/gst-plugins-bad0.10/gstreamer0.10-plugins-bad-dbg_0.10.7-2+lenny2_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.